#ifndef SHOPFORM_H
#define SHOPFORM_H

#include <QWidget>
#include <QList>
#include "data/shop-data.h"
#include <autotablemodel.h>

namespace Ui {
class ShopForm;
}

class ShopForm : public QWidget
{
    Q_OBJECT

public:
    explicit ShopForm(QWidget *parent = 0);
    ~ShopForm();

private slots:
    void on_directSale_clicked();

    void on_temporarySaveButton_clicked();

    void on_saveButton_clicked();

    void on_loadButton_clicked();

private:
    Ui::ShopForm *ui;
    QSharedPointer<Voucher> m_voucher;
    AutoTableModel<VoucherItem> *m_itemsModel;
};

#endif // SHOPFORM_H
